Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
SendCloud Portal
Sitecore Send API documentation
  • Introduction to the Sitecore Send API
        • Get all active mailing lists
        • Get mailing list details
        • Get all active mailing lists with paging
        • Create a mailing list
        • Update a mailing list
        • Delete a mailing list
        • Create a custom field
        • Update a custom field
        • Remove a custom field
  1. Mailing lists
  1. Sitecore Send API documentation
  2. API reference

Remove a custom field

DELETE /lists/{MailingListID}/customfields/{CustomFieldID}/delete.{Format}

Removes a custom field from a specific email list.

Request

ParameterInTypeRequiredDescription
MailingListIDpathstringtrueThe ID of the email list containing the custom field.
CustomFieldIDpathstringtrueThe ID of the custom field to be deleted.
FormatpathstringtrueThe supported file format for getting a response.Possible values: json and xml.
apikeyquerystringtrueThe API key of your account.
DELETE https://{hostname}/v3/lists/{MailingListID}/customfields/{CustomFieldID}/delete.{Format}?apikey=
curl --include \\
     --request DELETE \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
'https://{hostname}/v3/lists/{MailingListID}/customfields/{CustomFieldID}/delete.{Format}?apikey='

Response

StatusDescriptionHeadersSchema
200 OKThe request is successful.Content-Type
/jsonAccept
/json
N/A
{
  "Code": 0,
  "Error": null,
  "Context": null
}
  • Code - the response code. This is 0 if successful.

  • Error - the response error message. This is null if successful.

  • Context - this is null if successful.

If you have suggestions for improving this article, let us know!

© Copyright , Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use
SendCloud Portal